> ## Documentation Index
> Fetch the complete documentation index at: https://dripart-feat-openapi-i18n.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取任务完整详情

> 获取特定任务的完整详情，包括工作流和输出。
用于详情视图、工作流重新执行和调试。




## OpenAPI

````yaml /openapi/cloud.zh.yaml get /api/jobs/{job_id}
openapi: 3.0.3
info:
  title: Comfy Cloud API
  description: >
    <警告>

    **实验性API：** 此API是实验性的，可能会更改。

    端点、请求/响应格式和行为可能在未经通知的情况下修改。

    </警告>


    用于Comfy Cloud的API - 在云基础设施上运行ComfyUI工作流。


    此API允许您以编程方式与Comfy Cloud交互，包括：

    - 提交和管理工作流

    - 上传和下载文件

    - 监控作业状态和进度


    ## 云端与OSS ComfyUI兼容性


    Comfy Cloud实现了与OSS ComfyUI相同的API接口以实现最大兼容性，

    但某些字段为了兼容性被接受，但处理方式不同或被忽略：


    | 字段 | 端点 | 云端行为 |

    |-------|-----------|----------------|

    | `subfolder` | `/api/view`, `/api/upload/*` | **忽略** -
    云端使用内容寻址存储（基于哈希）。在响应中返回用于客户端组织。 |

    | `type` (input/output/temp) | `/api/view`, `/api/upload/*` | 部分使用 -
    所有文件使用基于标签的组织存储，而非目录结构。 |

    | `overwrite` | `/api/upload/*` | **忽略** - 内容寻址存储意味着相同内容始终具有相同哈希。 |

    | `number`, `front` | `/api/prompt` | **忽略** - 云端使用自己的每个用户公平队列调度。 |

    | `split`, `full_info` | `/api/userdata` | **忽略** - 云端始终返回完整文件元数据。 |


    这些字段保留在API模式中，以便与现有ComfyUI客户端和工作流进行即插即用兼容。
  version: 1.0.0
  license:
    name: GNU General Public License v3.0
    url: https://github.com/Comfy-Org/ComfyUI/blob/master/LICENSE
servers:
  - url: https://cloud.comfy.org
    description: Comfy Cloud API
security:
  - ApiKeyAuth: []
tags:
  - name: workflow
    description: |
      提交工作流执行并管理执行队列。
      这是在云端运行ComfyUI工作流的主要方式。
  - name: job
    description: |
      监控任务状态、查看执行历史和管理运行中的任务。
      任务通过POST /api/prompt提交工作流时创建。
  - name: asset
    description: |
      上传、下载和管理持久资产（图像、模型、输出）。
      资产提供持久存储，支持标签和元数据。
  - name: file
    description: |
      与传统本地ComfyUI兼容的传统文件上传和下载端点。
      对于新的集成，请考虑使用资产API。
  - name: model
    description: |
      浏览可用的AI模型。模型已预加载到云端基础设施上。
  - name: node
    description: |
      获取可用ComfyUI节点及其输入/输出的信息。
      对构建动态工作流界面很有用。
  - name: user
    description: |
      用户账户信息和个人数据存储。
  - name: system
    description: |
      服务器状态、健康检查和系统信息。
paths:
  /api/jobs/{job_id}:
    get:
      tags:
        - job
      summary: 获取任务完整详情
      description: |
        获取特定任务的完整详情，包括工作流和输出。
        用于详情视图、工作流重新执行和调试。
      operationId: getJobDetail
      parameters:
        - name: job_id
          in: path
          required: true
          description: 任务标识符（UUID）
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: '成功: 任务详情已获取'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobDetailResponse'
        '401':
          description: '未授权: 需要身份验证'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: '禁止: 任务不属于该用户'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: 任务未找到
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: 内部服务器错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    JobDetailResponse:
      type: object
      description: 包括工作流和输出的完整任务详情
      required:
        - id
        - status
        - create_time
        - update_time
      properties:
        id:
          type: string
          format: uuid
          description: 唯一任务标识符
        status:
          type: string
          enum:
            - pending
            - in_progress
            - completed
            - failed
            - cancelled
          description: 用户友好的任务状态
        workflow:
          type: object
          description: 完整ComfyUI工作流（10-100KB，不可用则省略）
          additionalProperties: true
        execution_error:
          $ref: '#/components/schemas/ExecutionError'
          description: 来自ComfyUI的详细执行错误（仅适用于带有结构化错误数据的失败任务）
        create_time:
          type: integer
          format: int64
          description: 任务创建时间戳（Unix时间戳，秒）
        update_time:
          type: integer
          format: int64
          description: 最后更新时间戳（Unix时间戳，秒）
        outputs:
          type: object
          description: 来自ComfyUI的完整输出对象（仅适用于终端状态）
          additionalProperties: true
        preview_output:
          type: object
          description: 主要预览输出（仅适用于终端状态）
          additionalProperties: true
        outputs_count:
          type: integer
          description: 输出文件总数（非终端状态省略）
        workflow_id:
          type: string
          description: 标识工作流画面定义的UUID
        execution_status:
          type: object
          description: ComfyUI执行状态和时间线（仅适用于终端状态）
          additionalProperties: true
        execution_meta:
          type: object
          description: 节点级执行元数据（仅适用于终端状态）
          additionalProperties: true
    ErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
    ExecutionError:
      type: object
      description: 来自 ComfyUI 的详细执行错误信息
      required:
        - node_id
        - node_type
        - exception_message
        - exception_type
        - traceback
        - current_inputs
        - current_outputs
      properties:
        node_id:
          type: string
          description: 失败节点的ID
        node_type:
          type: string
          description: 节点类型名称（例如 "KSampler"）
        exception_message:
          type: string
          description: 人类可读的报错信息
        exception_type:
          type: string
          description: Python异常类型（例如 "RuntimeError"）
        traceback:
          type: array
          items:
            type: string
          description: 回溯行数组（如不可用则为空数组）
        current_inputs:
          type: object
          additionalProperties: true
          description: 失败时的输入值（不可用则为空对象）
        current_outputs:
          type: object
          additionalProperties: true
          description: 失败时的输出值（如不可用则为空对象）
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |
        API密钥认证。从您的用户设置中生成API密钥
        位于https://platform.comfy.org/profile/api-keys。在X-API-Key头中传递密钥。

````